"use strict";

/* exported logger */

var AbstractGuiElement = require('./AbstractGuiElement');
var Functions = require('../Functions');

var logger = require('../logger');

function Header(params) {
  AbstractGuiElement.call(this, params);
  var self = this;

  self._createHeaderGui();
}

Header.prototype = Object.create(AbstractGuiElement.prototype);
Header.prototype.constructor = Header;

Header.prototype._createHeaderGui = function() {
  var self = this;
  var projectId = self.getMap().getProject().getProjectId();
  var projectName = self.getMap().getProject().getName();

  var link = Functions.createElement({
    type : "a",
    name : "headerPanel",
    className : "mainTitle",
    content : '<i class="fa fa-home" style="font-size:17px"></i> ' + projectName,
  });
  link.href = ServerConnector.getServerBaseUrl() + "/?id=" + projectId;
  self.getElement().appendChild(link);
};

module.exports = Header;
