"use strict";

/* exported logger */

var Helper = require('../../helper');

require('../../mocha-config.js');

var AbstractDbPanel = require('../../../../main/js/gui/leftPanel/AbstractDbPanel');
var PanelControlElementType = require('../../../../main/js/gui/PanelControlElementType');

var chai = require('chai');
var assert = chai.assert;
var logger = require('../../logger');

describe('AbstractDbPanel', function() {

  var helper;
  before(function() {
    helper = new Helper();
  });

  it('contructor', function() {
    var div = document.createElement("div");

    var map = helper.createCustomMap();
    map.registerSource(helper.createSearchDbOverlay(map));

    var panel = new AbstractDbPanel({
      element : div,
      customMap : map,
      panelName : "search",
    });

    assert.ok(panel.getControlElement(PanelControlElementType.SEARCH_LABEL).innerHTML !== "");
  });

});
