"use strict";

/* exported logger */

var Helper = require('../../helper');

require('../../mocha-config.js');

var LeftPanel = require('../../../../main/js/gui/leftPanel/LeftPanel');

var chai = require('chai');
var assert = chai.assert;
var logger = require('../../logger');

describe('LeftPanel', function() {

  var helper;
  before(function() {
    helper = new Helper();
  });

  it('constructor', function() {
    var map = helper.createCustomMap();
    helper.createSearchDbOverlay(map);
    helper.createDrugDbOverlay(map);
    helper.createChemicalDbOverlay(map);
    helper.createMiRnaDbOverlay(map);

    new LeftPanel({
      element : testDiv,
      customMap : map
    });

    assert.equal(logger.getWarnings().length, 0);

  });

});
