"use strict";

/* exported logger */

var Helper = require('../../helper');

require('../../mocha-config.js');

var Panel = require('../../../../main/js/gui/leftPanel/Panel');

var chai = require('chai');
var assert = chai.assert;
var logger = require('../../logger');

describe('Panel', function() {

  var helper;
  before(function() {
    helper = new Helper();
  });

  it('openDialog', function() {
    var map = helper.createCustomMap();

    var panel = new Panel({
      element : testDiv,
      customMap : map
    });

    var content = document.createElement("div");
    content.innerHTML = "some content";

    var id = 1;
    panel.openDialog(content, {
      id : id
    });

    assert.ok(panel.getDialogDiv(id).innerHTML.indexOf("some content") >= 0);

  });

});
