"use strict";
var Helper = require('../Helper');

var CustomMapOptions = require('../../../main/js/map/CustomMapOptions');
var chai = require('chai');
var assert = chai.assert;
var logger = require('../logger');

describe('CustomMapOptions', function() {
  var helper;
  before(function() {
    helper = new Helper();
  });

  it("contructor with invalid arg", function() {
    try {
      new CustomMapOptions({
        markerOptimization : 12,
        bigLogo : "some strange string",
        hideDiv : "some div ide",
        customTouchInterface : "strange param",
        debug : "unk boolean"
      });
      assert.ok(false);
    } catch (exception) {
      assert.ok(exception.message.indexOf("mapDiv must be defined") >= 0);
    }
  });

  it("contructor with invalid arg 3", function() {
    try {
      new CustomMapOptions({
        mapDiv : testDiv,
      });
    } catch (exception) {
      assert.ok(exception.message.indexOf("project must be defined") >= 0);
    }
  });

  it("contructor with valid arg 2", function() {
    var project = helper.createProject();
    new CustomMapOptions({
      mapDiv : testDiv,
      project : project,
      debug : false,
    });

    assert.equal(0, logger.getErrors().length);
    assert.equal(0, logger.getWarnings().length);
  });
  
  it("getDebug", function() {
    var project = helper.createProject();
    var options = new CustomMapOptions({
      mapDiv : testDiv,
      project : project,
      debug : true,
    });

    assert.ok(options.isDebug());
  });
});
