"use strict";

var Helper = require('../Helper');
var logger = require('../logger');

var Submap = require('../../../main/js/map/Submap');
var chai = require('chai');
var assert = chai.assert;

describe('Submap', function() {
  var helper;
  before(function() {
    helper = new Helper();
  });

  it("simple contructor", function() {
    var map = helper.createCustomMap();

    var model = helper.createModel();

    var submap = new Submap(map, model);
    assert.ok(submap);
    assert.equal(logger.getWarnings().length, 0);
    assert.equal(logger.getErrors().length, 0);
  });

  it("open", function() {
    var map = helper.createCustomMap();

    var model = helper.createModel();

    var submap = new Submap(map, model);

    $(global.testDiv).dialog({
      autoOpen : false
    });

    submap.open(global.testDiv);

    $(global.testDiv).dialog("destroy");
    assert.ok(submap);
    assert.equal(logger.getWarnings().length, 0);
    assert.equal(logger.getErrors().length, 0);
  });

  it("getTopMap", function() {
    var map = helper.createCustomMap();

    var model = helper.createModel();

    var submap = new Submap(map, model);

    assert.ok(submap.getTopMap());
  });
});
