"use strict";

var Helper = require('../../Helper');

require("../../mocha-config.js");

var Reaction = require('../../../../main/js/map/data/Reaction');
var assert = require('assert');

var logger = require('../../logger');

describe('Reaction', function() {

  var helper;
  before(function() {
    helper = new Helper();
  });

  it("contructor", function() {
    var javaObject = {
      lines : [ {
        start : Object,
        end : Object,
        type : "START"
      }, {
        start : Object,
        end : Object,
        type : "END"
      }, {
        start : Object,
        end : Object,
        type : "MIDDLE"
      } ],
      modelId : 319,
      idObject : "13178",
      centerPoint : {
        x : 10,
        y : 12,
      },
    };
    var reaction = new Reaction(javaObject);
    assert.ok(reaction);
    assert.ok(reaction.getId());
  });
  it("constructor from invalid", function() {
    var javaObject = {
      lines : [ {
        start : Object,
        end : Object,
        type : "UNK"
      } ],

    };
    try {
      new Reaction(javaObject);
    } catch (exception) {
      assert.ok(exception.message.indexOf("Unknown line type") >= 0);
    }
  });

  it("constructor from invalid 2", function() {
    var javaObject = {
      lines : [],

    };
    try {
      new Reaction(javaObject);
    } catch (exception) {
      assert.ok(exception.message.indexOf("undefined center") >= 0);
    }
  });

  it("constructor from Reaction", function() {
    var reaction = helper.createReaction();
    var reaction2 = new Reaction(reaction);
    assert.equal(reaction2.getId(), reaction.getId());
    assert.equal(reaction2.getCenter(), reaction.getCenter());
    assert.equal(reaction2.getModelId(), reaction.getModelId());
    assert.deepEqual(reaction2.getLines(), reaction.getLines());
    assert.equal(logger.getWarnings().length, 0);
  });
});
